Package: java.sql

## Class Timestamp

- - ### Methods Summary

    Methods
    Return type | Name and parameters
    --- | ---
    `Timestamp` | `minus(int days)` Subtract a number of days from this Timestamp and returns the new Timestamp object.
    `Timestamp` | `plus(int days)` Add number of days to this Timestamp and returns the new Timestamp object.

  - #### Methods inherited from class java.util.Date

    `clearTime`, `copyWith`, `downto`, `format`, `format`, `getAt`, `getAt`, `getDateString`, `getDateTimeString`, `getTimeString`, `getZoneId`, `getZoneOffset`, `minus`, `minus`, `next`, `plus`, `previous`, `putAt`, `set`, `toCalendar`, `toDayOfWeek`, `toLocalDate`, `toLocalDateTime`, `toLocalTime`, `toMonth`, `toMonthDay`, `toOffsetDateTime`, `toOffsetTime`, `toTimestamp`, `toYear`, `toYearMonth`, `toZonedDateTime`, `updated`, `upto`

  - #### Methods inherited from class java.lang.Object

    `addShutdownHook`, `any`, `any`, `asBoolean`, `asType`, `collect`, `collect`, `collect`, `dump`, `each`, `eachMatch`, `eachMatch`, `eachWithIndex`, `every`, `every`, `find`, `find`, `findAll`, `findAll`, `findIndexOf`, `findIndexOf`, `findIndexValues`, `findIndexValues`, `findLastIndexOf`, `findLastIndexOf`, `findResult`, `findResult`, `findResult`, `findResult`, `getAt`, `getMetaClass`, `getMetaPropertyValues`, `getProperties`, `grep`, `grep`, `hasProperty`, `identity`, `inject`, `inject`, `inspect`, `invokeMethod`, `is`, `isCase`, `isNotCase`, `iterator`, `metaClass`, `print`, `print`, `printf`, `printf`, `println`, `println`, `println`, `putAt`, `respondsTo`, `respondsTo`, `setMetaClass`, `split`, `sprintf`, `sprintf`, `stream`, `tap`, `toString`, `use`, `use`, `use`, `with`, `with`, `withCloseable`, `withMethodClosure`, `withStream`, `withTraits`

- - ### Methods Detail

    - #### public Timestamp minus(int days)

      Subtract a number of days from this Timestamp and returns the new Timestamp object.

      Parameters:
        `days` - the number of days to subtract
      Returns:
        the new Timestamp

    - #### public Timestamp plus(int days)

      Add number of days to this Timestamp and returns the new Timestamp object.

      Parameters:
        `days` - the number of days to increase
      Returns:
        the new Timestamp